Bug 501042 - unable to read EDID block when using TV connected via HDMI to DVI cable
unable to read EDID block when using TV connected via HDMI to DVI cable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 11:56 EDT by Richard Hughes
Modified: 2010-06-28 08:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:33:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log snippet (3.03 KB, text/plain)
2009-05-15 12:43 EDT, Richard Hughes
no flags Details

  None (edit)
Description Richard Hughes 2009-05-15 11:56:14 EDT
Description of problem:

[ TV ]
(hdmi)
  |
  |
(dvi)
[dock]
[laptop]

i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data

Laptop is T61 with intel graphics. The EDID works when using a monitor using DVI->DVI, but the EDID does not work when using a DVI->HDMI cable.

Version-Release number of selected component (if applicable):
kernel-2.6.29.3-140.fc11.i586
xorg-x11-drv-intel-2.7.0-4.fc11.i586
libdrm-2.4.6-6.fc11.i586

How reproducible:
Always.

Steps to Reproduce:
1. plug in monitor into dock using DVI to DVI cable
2. xset -q
3. valid modes shown
4. unplug DVI cable from dock
5. plug in TV into dock using DVI to HDMI cable
6. xset -q
7. old monitor modes shown, not the new modes for the tv
8. tv displays "out of range"
Comment 1 Richard Hughes 2009-05-15 12:42:36 EDT
If I reboot with the TV plugged in at poweron, I get:

Screen 0: minimum 320 x 200, current 2704 x 1050, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050      60.1*+   50.1  
DVI1 connected 1024x768+1680+282 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9
Comment 2 Richard Hughes 2009-05-15 12:43:16 EDT
Created attachment 344200 [details]
Xorg.0.log snippet
Comment 3 Bug Zapper 2009-06-09 11:53:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Paul Jakma 2009-10-21 12:00:24 EDT
Is this bug related to 493977 by any chance?

I have a similar problem with an Apple Mini connected via HDMI to an LG LCD TV. It can't read EDID and I end up confined to 800x600.

Booting without kernel modesetting gets me all the modes back (including the native 1368 one that I want).
Comment 5 Bug Zapper 2010-04-27 10:20:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:33:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.